com.sun.jna

## Interface TypeMapper

- All Known Implementing Classes:
    DefaultTypeMapper, W32APITypeMapper

      public interface TypeMapper

  Provides converters for conversion to and from native types.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FromNativeConverter` | `getFromNativeConverter(java.lang.Class javaType)` Return the `FromNativeConverter` appropriate for the given Java class.
    `ToNativeConverter` | `getToNativeConverter(java.lang.Class javaType)` Return the `ToNativeConverter` appropriate for the given Java class.

- - ### Method Detail

    - #### getFromNativeConverter

          FromNativeConverter getFromNativeConverter(java.lang.Class javaType)

      Return the `FromNativeConverter` appropriate for the given Java class.

    - #### getToNativeConverter

          ToNativeConverter getToNativeConverter(java.lang.Class javaType)

      Return the `ToNativeConverter` appropriate for the given Java class.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.